/*
 * Created on 2003. 12. 10.
 */
package addon.client.tcpProxy;

import java.awt.GridLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import interfaces.*;
import addon.AddonPanel;

/**
 * @author hyoki
 * 
 */
public class Addon extends AddonPanel {
	JTextField ip = new JTextField();
	JTextField port = new JTextField();
	public Addon(){
		this.setLayout(new GridLayout(2,1));
		JPanel panel1 = new JPanel();
		JLabel label = new JLabel("Server IP: ");
		ip.setPreferredSize(label.getPreferredSize());
		panel1.add(label);
		panel1.add(ip);
		JPanel panel2 = new JPanel();
		label = new JLabel("Server Port: ");
		port.setPreferredSize(label.getPreferredSize());
		panel2.add(label);
		panel2.add(port);
		this.add(panel1);
		this.add(panel2);
	}
	/* (non-Javadoc)
	 * @see addon.AddonPanel#isReady()
	 */
	public boolean isReady() {
		try {
			ipAddress = ip.getText();
			portNum = Integer.parseInt(port.getText());
		} catch (NumberFormatException e) {
			return false;
		}
		if(portNum<0 || portNum > Integer.MAX_VALUE){
			return false;
		}
		return true;
	}
	private String ipAddress;
	private int portNum;
	/* (non-Javadoc)
	 * @see addon.AddonPanel#getHost()
	 */
	public Object getHost() {
		Client client = factory.createClient(Client.PROXY_IF,Client.TCP_IF);
		client.setServerAddress(ipAddress,portNum);
		factory.createPlatform().setClient(client);
		client.init();
		return client;
	}

}
