/*
 * Created on 2003. 11. 20.
 */
package engin;

import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;

/**
 * @author hyoki
 * 
 */
public class ConnectionEvent {
	private InputStream serverInputStream = null;
	private OutputStream serverOutputStream = null;
	private InputStream clientInputStream = null;
	private OutputStream clientOutputStream  = null;
	private Socket server;
	private Socket client;

	/**
	 * @param serverIn
	 * @param serverOut
	 * @param clientIn
	 * @param clientOut
	 */
	public ConnectionEvent(Socket server, Socket client){
		this.server = server;
		this.client = client;
//		serverInputStream = server.getInputStream();
//		serverOutputStream = server.getOutputStream();
//		clientInputStream = client.getInputStream();
//		clientOutputStream = client.getOutputStream();
	}
	public ConnectionEvent(InputStream serverIn, OutputStream serverOut, InputStream clientIn, OutputStream clientOut) {
		serverInputStream = serverIn;
		serverOutputStream = serverOut;
		clientInputStream = clientIn;
		clientOutputStream = clientOut;;
	}

	/**
	 * @return Returns the clientSideInputStream.
	 */
	public InputStream getClientSideInputStream() {
		return clientInputStream;
	}

	/**
	 * @return Returns the clientSideOutputStream.
	 */
	public OutputStream getClientSideOutputStream() {
		return clientOutputStream;
	}

	/**
	 * @return Returns the serverSideInputStream.
	 */
	public InputStream getServerSideInputStream() {
		return serverInputStream;
	}

	/**
	 * @return Returns the serverSideOutputStream.
	 */
	public OutputStream getServerSideOutputStream() {
		return serverOutputStream;
	}


	/**
	 * @return Returns the client.
	 */
	public Socket getClient() {
		return client;
	}

	/**
	 * @param client The client to set.
	 */
	public void setClient(Socket client) {
		this.client = client;
	}

	/**
	 * @return Returns the server.
	 */
	public Socket getServer() {
		return server;
	}

	/**
	 * @param server The server to set.
	 */
	public void setServer(Socket server) {
		this.server = server;
	}

}
