/*
 * Created on 2003. 11. 30.
 */
package gui;

import interfaces.PlatformFactory;

import java.awt.BorderLayout;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import javax.swing.JFrame;
import javax.swing.JPanel;

import engin.TextFactory;

/**
 * @author hyoki
 * 
 */
public class Estp extends JFrame{
	AddonFactory addonFactory = null;
	BackGroundPanel backGround = null;
	private PlatformFactory factory;
	/**
	 * 
	 */
	public Estp(){
		super("Extendible Socket Test Platform");
		factory = new TextFactory();
		addonFactory = new AddonFactory();
		factory.createPlatform().setMessageFactory(factory.createMessageFactory());
		initComponent();
		update();
	}

	/**
	 * 
	 */
	private void update() {
		this.pack();
	}

	/**
	 * 
	 */
	private void initComponent() {
		this.getContentPane().setLayout(new BorderLayout());
		this.getContentPane().add(getBGPanel(),BorderLayout.CENTER);
		this.addWindowListener(new WindowListener(){
			public void windowActivated(WindowEvent e){}
			public void windowClosed(WindowEvent e) {}
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
			public void windowDeactivated(WindowEvent e) {}
			public void windowDeiconified(WindowEvent e) {
				// TODO setVisible(true);
			}
			public void windowIconified(WindowEvent e) {
				// TODO setVisible(false);
			}
			public void windowOpened(WindowEvent e) {}
		});
	}
	/**
	 * @return
	 */
	private JPanel getBGPanel() {
		if (backGround == null) {
			backGround = new BackGroundPanel(factory, addonFactory );
		}
		return backGround;
	}
	public static void main(String[] args) {
		new Estp().show();
	}	
}
