/*
 * Created on 2003. 11. 19.
 */
package engin;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author hyoki
 * 
 */
public class MessageFactory {
	private Platform platform = null;

	/**
	 * @return Returns the platform.
	 */
	public Platform getPlatform() {
		return platform;
	}

	/**
	 * @param platform The platform to set.
	 */
	public void setPlatform(Platform platform) {
		this.platform = platform;
	}

	/**
	 * 
	 */
	public MessageFactory() {
		super();
	}
	public ConnectionEvent createMessage(InputStream serverIn, OutputStream serverOut, InputStream clientIn, OutputStream clientOut){		
		return new ConnectionEvent(serverIn,serverOut,clientIn,clientOut);	
	}
	public ConnectionEvent createMessage(SocketTransactor serverTransactor, SocketTransactor clientTransactor) throws IOException{
		return new ConnectionEvent(serverTransactor.getSocket(),clientTransactor.getSocket());		
	}


//	private static String GetLine(InputStream inBuf) throws IOException {
//		//	  NB: Very inefficient...- must be rewritten 
//		int ch;
//		ch = inBuf.read();
//		if (ch == 1) {
//			return null;
//		}
//		StringBuffer buf = new StringBuffer();
//		while (ch != -1 && ch != '\r' && ch != '\n') {
//			buf.append((char) ch);
//			ch = inBuf.read();
//		}
//		if (ch == '\r') {
//			inBuf.read();
//		}
//		//	  Consum LF 
//		return buf.toString();
//	}
}
