/*
 * Created on 2003. 11. 19.
 */
package engin;

import interfaces.*;

import java.util.Observable;

/**
 * @author hyoki
 * 
 */
public class Platform extends Observable {
	private Server server = null;
	private Client client = null;
	private MessageFactory messageFactory= null;
	/**
	 * @return Returns the messageFactory.
	 */
	public MessageFactory getMessageFactory() {
		return messageFactory;
	}

	/**
	 * @param messageFactory The messageFactory to set.
	 */
	public void setMessageFactory(MessageFactory aMessageFactory) {
		this.messageFactory = aMessageFactory;
		messageFactory.setPlatform(this);
	}

	/**
	 * @return Returns the client.
	 */
	public Client getClient() {
		return client;
	}

	/**
	 * @return Returns the server.
	 */
	public Server getServer() {
		return server;
	}

	/**
	 * @param proxyServer
	 */
	public void setServer(Server aServer) {
		server = aServer;
		server.setPlatform(this);
	}

	/**
	 * @param proxyClient
	 */
	public void setClient(Client aClient) {
		client = aClient;
		client.setPlatform(this);
	}	
	public void notifyObservers(Object arg) {
		super.setChanged();
		super.notifyObservers(arg);
	}
}
