/*
 * Created on 2003. 11. 24.
 */
package engin;

import java.io.IOException;


public final class ServerThread extends Thread {
	private final Platform platform;
	private final SocketTransactor serverTransactor;
	private final SocketTransactor clientTransactor;
	public ServerThread(Platform platform, SocketTransactor serverTransactor, SocketTransactor clientTransactor) {
		super();
		this.platform = platform;
		this.serverTransactor = serverTransactor;		
		this.clientTransactor = clientTransactor;		
	}
	public void run() {
//		while (true) { 
			try {
				ConnectionEvent connectionEvent = platform.getMessageFactory().createMessage(serverTransactor,clientTransactor);
				platform.notifyObservers(connectionEvent);
			} catch (IOException e) {
				System.err.println("Create Message Fail");
				e.printStackTrace();
//			}
		}
	}
}